Activity log for bug #744104

Date Who What changed Old value New value Message
2011-03-28 08:41:53 Sam Spilsbury bug added bug
2011-03-28 08:43:01 Sam Spilsbury attachment added Patch to support the new animations specified by UXD https://bugs.launchpad.net/unity/+bug/744104/+attachment/1948784/+files/add_animations_and_cleanup.patch
2011-03-28 08:54:30 Didier Roche unity: milestone 3.8 3.8.2
2011-03-28 11:41:50 Didier Roche bug added subscriber Ubuntu Release Team
2011-03-28 13:52:40 Alex Launi bug task added unity (Ubuntu)
2011-03-30 11:20:30 John Lea bug task added ayatana-design
2011-03-30 11:20:56 John Lea ayatana-design: status New Fix Committed
2011-03-30 11:21:02 John Lea ayatana-design: importance Undecided High
2011-03-30 11:21:08 John Lea ayatana-design: assignee John Lea (johnlea)
2011-03-30 11:21:17 John Lea tags compiz-0.9 unity compiz-0.9 udt unity
2011-03-30 11:25:17 John Lea description Request for an FFe for a new set of animations to be added to the Grid plugin. This more closely matches the visual design for the grid plugin by expanding the grid rect when the mouse moves closer to the grid area. INSTABILITY? This code comes as part of a general cleanup of the Grid plugin for compiz and comes as some general animation code to the GridRectangle class that was added during this cleanup. TESTING? Testcases need to be added. REGRESSION PLAN? The animation can be turned on and off with an option, using the old code paths instead. VISUALS The animation can be seen at [1] [1] http://smspillaz.ucc.asn.au/unity/screenshots/new-grid-plugins.ogv Request for an FFe for a new set of animations to be added to the Grid plugin. This more closely matches the visual design for the grid plugin by expanding the grid rect when the mouse moves closer to the grid area. INSTABILITY? This code comes as part of a general cleanup of the Grid plugin for compiz and comes as some general animation code to the GridRectangle class that was added during this cleanup. TESTING? Testcases need to be added. REGRESSION PLAN? The animation can be turned on and off with an option, using the old code paths instead. VISUALS The animation can be seen at [1] [1] http://smspillaz.ucc.asn.au/unity/screenshots/new-grid-plugins.ogv The 'indicator direction' should be set as 'from window'.
2011-03-30 18:23:30 David Barth unity: status New Triaged
2011-03-30 18:23:33 David Barth unity: status Triaged In Progress
2011-03-31 08:53:59 David Barth tags compiz-0.9 udt unity compiz-0.9 ffe udt unity
2011-04-01 10:13:31 John Lea ayatana-design: status Fix Committed Fix Released
2011-04-02 03:16:51 Timothy Kross unity: status In Progress Fix Released
2011-04-02 03:17:13 Timothy Kross unity (Ubuntu): status New Fix Released
2011-04-04 11:05:50 David Barth unity: milestone 3.8.2 3.8.4
2011-04-04 11:06:01 David Barth unity: assignee Sam "SmSpillaz" Spilsbury (smspillaz)
2011-04-04 11:06:04 David Barth unity: status Fix Released Fix Committed
2011-04-04 11:06:19 David Barth unity (Ubuntu): status Fix Released In Progress
2011-04-05 11:28:12 Didier Roche unity (Ubuntu): status In Progress Fix Committed
2011-04-05 20:02:20 Launchpad Janitor branch linked lp:~unity-team/compiz/trunk
2011-04-05 21:19:13 Launchpad Janitor branch linked lp:compiz
2011-04-06 14:52:18 David Barth branch unlinked lp:~unity-team/compiz/trunk
2011-04-06 14:52:28 David Barth branch unlinked lp:compiz
2011-04-06 14:52:44 David Barth branch linked lp:~dbarth/compiz/reworked-fix-744104
2011-04-06 16:06:38 Launchpad Janitor branch linked lp:~unity-team/compiz/trunk
2011-04-07 15:09:38 Didier Roche unity: status Fix Committed Fix Released
2011-04-07 16:27:45 Launchpad Janitor branch linked lp:~ubuntu-desktop/unity/ubuntu
2011-04-07 16:30:46 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2011-04-07 17:14:26 Launchpad Janitor branch linked lp:ubuntu/unity
2011-04-08 03:01:29 Launchpad Janitor branch linked lp:ubuntu/compiz
2011-04-19 13:32:08 John Lea tags compiz-0.9 ffe udt unity compiz-0.9 ffe reviewedbydesign unity